# Method: accounts.updateLabels

- [HTTP request](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/updateLabels#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/updateLabels#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/updateLabels#body.request_body)
  - [JSON representation](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/updateLabels#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/updateLabels#body.response_body)
- [Authorization scopes](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/updateLabels#body.aspect)
- [Try it!](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/updateLabels#try-it)

Updates labels assigned to CSS/MC accounts by a CSS domain.

### HTTP request

`POST https://css.googleapis.com/v1/{name=accounts/*}:updateLabels`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The label resource name. Format: accounts/{account} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "labelIds": [ string ], "parent": string } ``` |

| Fields ||
|---|---|
| `labelIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The list of label IDs to overwrite the existing account label IDs. If the list is empty, all currently assigned label IDs will be deleted. |
| `parent` | `string` Optional. Only required when updating MC account labels. The CSS domain that is the parent resource of the MC account. Format: accounts/{account} |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts#Account`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).